Support Support Downloads Knowledge Base Juniper Support Portal Community

Knowledge Base

Search our Knowledge Base sites to find answers to your questions.

Ask All Knowledge Base Sites All Knowledge Base Sites JunosE Defect (KA)Knowledge BaseSecurity AdvisoriesTechnical BulletinsTechnotes Sign in to display secure content and recently viewed articles

[EOL/EOE] NSM installation Package does not give you the MENU choice to upgrade DevSvr/GuiSvr or both

0

0

Article ID: KB12173 KB Last Updated: 24 Nov 2020Version: 5.0
Summary:

Note: A product listed in this article has either reached hardware End of Life (EOL) OR software End of Engineering (EOE).  Refer to End of Life Products & Milestones for the EOL, EOE, and End of Support (EOS) dates.


In some circumstances, the NSM installation Package does not detect previous NSM Server installation and not give you the MENU choice to upgrade DevSvr/GuiSvr or both.
As the menu is available in the installation process, you will be only able to perform a new installation.
Symptoms:
This symptom could be caused due to some errors found in a previous NSM upgrade attempt. For instance, if an installation process is abruptly stopped by a system error or died process, some files required during the "Pre-install" installation process will be corrupted or not found in the system:

/usr/netscreen/GuiSvr/doc/VERSION
/usr/netscreen/DevSvr/doc/VERSION

[root@lira doc]# ls
LICENSE  SERVER  VERSION
[root@lira doc]# more VERSION
1.9.2
[root@lira doc]#


The VERSION file is required during the installation script to check the current NSM version installed. If the file cannot be read or  "disappear", the script nsm2007.3rx_servers_linux_x86.sh won't give you a choice to upgrade the system:
Do you want to do NSM installation with base license? (y/n) [y]> y

1) Install Device Server only
2) Install GUI Server only
3) Install both Device Server and GUI Server
Enter selection (1-3) []>


Removing staging directory..................................ok
You have new mail in /var/spool/mail/root
[root@lira]# /etc/init.d/guiSvr version
nsm owner is ROOT
Retrieving version information...
guiSvrManager 2007.3r2 (Build LGB9z2bi)
guiSvrMasterController 2007.3r2 (Build LGB9z2bi) 04/23/08
guiSvrDirectiveHandler 2007.3r2 (Build LGB9z2bi) 04/23/08
guiSvrLicenseManager 2007.3r2 (Build LGB9z2bi) 04/23/08
guiSvrStatusMonitor 2007.3r2 (Build LGB9z2bi)
guiSvrWebProxy 2007.3r2 (Build LGB9z2bi) 04/23/08
[root@lira]#
Solution:
Create both files with the following information:

[root@lira nsm2007.3r4]# more /usr/netscreen/GuiSvr/doc/VERSION
1.9.2
[root@lira nsm2007.3r4]# more /usr/netscreen/DevSvr/doc/VERSION
1.9.2


            1.9.2  ---> if you have 2007.3r2  1.9=2007.3 .2=r2
            1.8.2  ---> if you have 2007.2r2
            1.7.3  ---> if you have 2007.1r3

In the installation crash, a VERSION.preserve file can be in the system. In this case, simply rename it to VERSION. (Do not forget this shall be done for both DevSvr and GuiSvr).

Run the installation again. Now the script will detect the previous NSM version and give the option to Upgrade:
Checking device count.......................................ok

1) Clean install of both Device Server and GUI Server
2) Patch both Device Server and GUI Server from 2007.3r2 to 2007.3r4
Enter selection (1-2) [2]>
Modification History:
2020-11-24: Tagged article for EOL/EOE.
 
Comment on this article > Affected Products Browse the Knowledge Base for more articles related to these product categories. Select a category to begin.

Getting Up and Running with Junos

Getting Up and Running with Junos Security Alerts and Vulnerabilities Product Alerts and Software Release Notices Problem Report (PR) Search Tool EOL Notices and Bulletins JTAC User Guide Customer Care User Guide Pathfinder SRX High Availability Configurator SRX VPN Configurator Training Courses and Videos End User Licence Agreement Global Search